package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.team.portal.modular.management.entity.CommonAppLinkCategory;
import cn.stylefeng.team.portal.modular.management.pojo.request.CommonAppLinkCategoryRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

public interface CommonAppLinkCategoryService extends IService<CommonAppLinkCategory> {

    void add(CommonAppLinkCategoryRequest commonAppLinkCategoryRequest);

    void del(CommonAppLinkCategoryRequest commonAppLinkCategoryRequest);

    void batchDelete(CommonAppLinkCategoryRequest commonAppLinkCategoryRequest);

    void edit(CommonAppLinkCategoryRequest commonAppLinkCategoryRequest);

    CommonAppLinkCategory detail(CommonAppLinkCategoryRequest commonAppLinkCategoryRequest);

    List<CommonAppLinkCategory> findList(CommonAppLinkCategoryRequest commonAppLinkCategoryRequest);

    Map<Long, String> getAppLinkCategoryNameMap(List<Long> categoryIdList);

}